<?php

namespace App\Models;

use App\Traits\Blameable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CorporateFormularium extends Model
{
    use HasFactory, SoftDeletes, Blameable;

    protected $table = 'corporate_formulariums';

    protected $fillable = [
        'corporate_id',
        'formularium_id'
    ];

    public function corporate()
    {
        return $this->belongsTo(Corporate::class);
    }

    public function formularium()
    {
        return $this->belongsTo(Formularium::class);
    }
}
